Name:           perl-Acme-Alien-DontPanic
Version:        1.03
Release:        4%{?dist}
Summary:        Test module for Alien::Base
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Acme-Alien-DontPanic
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/Acme-Alien-DontPanic-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Alien::Base::ModuleBuild) >= 1.03
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Use system dontpanic library instead of downloading it from the Internet at
# build time (it's forbidden in the build system).
BuildRequires:  pkgconfig(dontpanic)
# Dependecies for generated Build script
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
# Run-time:
BuildRequires:  perl(Alien::Base) >= 1.41
BuildRequires:  perl(parent)
# Tests:
BuildRequires:  perl(Test2::V0)
BuildRequires:  perl(Test::Alien) >= 0.05
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Alien::Base) >= 1.41
# Generated code:
Requires:       perl(Data::Dumper)
Requires:       perl(Module::Build)
# The maning of the package is to dontpanic library is installed and
# application can build against it. Because we use system dontpanic library
# instead of bundling that one that had been dowloaded and compiled at build
# time, we nee to explicitly run-require developmental files of the library.
Requires:       pkgconfig(dontpanic)

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Alien::Base\\)$

%description
This Perl module is a toy module to test the efficacy of the Alien::Base system.

%prep
%setup -q -n Acme-Alien-DontPanic-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.03-2
- Perl 5.28 re-rebuild of bootstrapped packages

* Tue May 15 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.03-1
- 1.03 bump

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.044-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 31 2017 Petr Pisar <ppisar@redhat.com> 0.044-1
- Specfile autogenerated by cpanspec 1.78.
